/*
*	Script de creación de los índices
*/
CREATE INDEX idxTitulName ON titulacion (nombre);

CREATE INDEX idxProfessorUnivFK ON profesor_responsable (universidad_id);

CREATE INDEX idxEstudianteUnivFK ON estudiante (universidad_id);

CREATE INDEX idxCursaUnivFK ON cursa (universidad_id);
CREATE INDEX idxCursaTitulFK ON cursa (titulacion_id);
CREATE INDEX idxCursaProfesorFK ON cursa (universidad_id, profesor_id);
CREATE INDEX idxCursaEstudianteFK ON cursa (universidad_id, estudiante_id);

CREATE INDEX idxEmpresaNombre ON empresa (nombre);

CREATE INDEX idxInspeccionEmpresaFK ON inspeccion (empresa_id);

CREATE INDEX idxSolictanteEmpresaFK ON solicitante (empresa_id);

CREATE INDEX idxOfertaSolicitanteFK ON oferta (empresa_id, solicitante_id);
CREATE INDEX idxOfertaDescripcion ON oferta (descripcion);
CREATE INDEX idxOfertaAnyoAcad ON oferta (anyo_acad);

CREATE INDEX idxRecibeUniversidadFK ON recibe (universidad_id);
CREATE INDEX idxRecibeOfertaFK ON recibe (oferta_id);

CREATE INDEX idxCandidaturaEstudianteFK ON candidatura (universidad_id, estudiante_id);
CREATE INDEX idxCandidaturaOfertaFK ON candidatura (oferta_id);

CREATE INDEX idxEntrevistaEstudianteFK ON entrevista (universidad_id, estudiante_id);
CREATE INDEX idxEntrevistaCandidaturaFK ON entrevista (universidad_id, estudiante_id, oferta_id);
CREATE INDEX idxEntrevistaSolicitanteFK ON entrevista (empresa_id, solicitante_id);
CREATE INDEX idxEntrevistaFecha ON entrevista (fecha);
CREATE INDEX idxEntrevistaEsApto ON entrevista (es_apto);

CREATE INDEX idxColaboracionEmpresaFK ON colaboracion (empresa_id);
CREATE INDEX idxColaboracionEstudianteFK ON colaboracion (universidad_id, estudiante_id);
CREATE INDEX idxColaboracionCandidaturaFK ON colaboracion (universidad_id, estudiante_id, oferta_id);

CREATE INDEX idxInformeColaboracionFK ON informe (empresa_id, universidad_id, estudiante_id, oferta_id);
CREATE INDEX idxInformeSolicitanteFK ON informe (empresa_id, solicitante_id);
CREATE INDEX idxInformeEstudianteFK ON informe (universidad_id, estudiante_id);

CREATE INDEX idxInformeFinalEsApto ON informe_final (es_apto);
