/*
*	Script con las claves primarias de las tablas
*/
ALTER TABLE universidad
ADD CONSTRAINT PK_university_id
PRIMARY KEY (id);

ALTER TABLE titulacion
ADD CONSTRAINT PK_titulation_code
PRIMARY KEY (codigo);

ALTER TABLE profesor_responsable
ADD CONSTRAINT PK_professor_univ_id
PRIMARY KEY (universidad_id, id);

ALTER TABLE estudiante
ADD CONSTRAINT PK_estudiante_univ_id
PRIMARY KEY (universidad_id, id);

ALTER TABLE cursa ADD (
	CONSTRAINT PK_cursa
	PRIMARY KEY (universidad_id, titulacion_id, profesor_id, estudiante_id),
	CONSTRAINT UK_cursa_tit
	UNIQUE (universidad_id, titulacion_id, estudiante_id),
	CONSTRAINT UK_cursa_prof
	UNIQUE (universidad_id, profesor_id, estudiante_id),
	CONSTRAINT UK_cursa_any
	UNIQUE (universidad_id, estudiante_id, anyo_acad)
);

ALTER TABLE empresa
ADD CONSTRAINT PK_empresa
PRIMARY KEY (id);

ALTER TABLE inspeccion
ADD CONSTRAINT PK_inspeccion
PRIMARY KEY (id);

ALTER TABLE solicitante
ADD CONSTRAINT PK_solicitante
PRIMARY KEY (empresa_id, id);

ALTER TABLE oferta
ADD CONSTRAINT PK_oferta
PRIMARY KEY (id);

ALTER TABLE recibe
ADD CONSTRAINT PK_recibe
PRIMARY KEY (universidad_id, oferta_id);

ALTER TABLE candidatura
ADD CONSTRAINT PK_candidatura
PRIMARY KEY (universidad_id, estudiante_id, oferta_id);

ALTER TABLE entrevista ADD (
	CONSTRAINT PK_entrevista
	PRIMARY KEY (universidad_id, estudiante_id, oferta_id, empresa_id, solicitante_id),
	CONSTRAINT UK_entrevista_cand
	UNIQUE (universidad_id, estudiante_id, oferta_id)
);

ALTER TABLE colaboracion
ADD CONSTRAINT PK_colaboracion
PRIMARY KEY (empresa_id, universidad_id, estudiante_id, oferta_id);

ALTER TABLE informe ADD (
	CONSTRAINT PK_informe
	PRIMARY KEY (empresa_id, universidad_id, estudiante_id, oferta_id, solicitante_id, fecha),
	CONSTRAINT UK_informe_colab
	UNIQUE (empresa_id, universidad_id, estudiante_id, oferta_id, fecha)
);

ALTER TABLE informe_final ADD (
	CONSTRAINT PK_final
	PRIMARY KEY (empresa_id, universidad_id, estudiante_id, oferta_id, solicitante_id, fecha),
	CONSTRAINT UK_final_colab
	UNIQUE (empresa_id, universidad_id, estudiante_id, oferta_id)
);

ALTER TABLE re_empresas
ADD CONSTRAINT PK_RE_empresas
PRIMARY KEY (id);

ALTER TABLE re_universidades
ADD CONSTRAINT PK_RE_universidades
PRIMARY KEY (id);

ALTER TABLE re_profesores
ADD CONSTRAINT PK_RE_profesores
PRIMARY KEY (id);

ALTER TABLE re_titulaciones
ADD CONSTRAINT PK_RE_titulaciones
PRIMARY KEY (codigo);

ALTER TABLE re_any_univ
ADD CONSTRAINT PK_RE_any_univ
PRIMARY KEY (anyo_univ);
