/*
*	Script con las claves foráneas de las tablas
*/
ALTER TABLE profesor_responsable
ADD CONSTRAINT FK_professor_univ
FOREIGN KEY (universidad_id)
REFERENCES universidad (id);

ALTER TABLE estudiante
ADD CONSTRAINT FK_estudiante_univ
FOREIGN KEY (universidad_id)
REFERENCES universidad (id);

ALTER TABLE cursa ADD (
	CONSTRAINT FK_cursa_univ
	FOREIGN KEY (universidad_id)
	REFERENCES universidad (id),
	CONSTRAINT FK_cursa_titul
	FOREIGN KEY (titulacion_id)
	REFERENCES titulacion (codigo),
	CONSTRAINT FK_cursa_profesor
	FOREIGN KEY (universidad_id, profesor_id)
	REFERENCES profesor_responsable (universidad_id, id),
	CONSTRAINT FK_cursa_estudiante
	FOREIGN KEY (universidad_id, estudiante_id)
	REFERENCES estudiante (universidad_id, id)
);

ALTER TABLE inspeccion
ADD CONSTRAINT FK_inspeccion_empresa
FOREIGN KEY (empresa_id)
REFERENCES empresa (id);

ALTER TABLE solicitante
ADD CONSTRAINT FK_solicitante_empresa
FOREIGN KEY (empresa_id)
REFERENCES empresa (id);

ALTER TABLE oferta
ADD CONSTRAINT FK_oferta_solicitante
FOREIGN KEY (empresa_id, solicitante_id)
REFERENCES solicitante (empresa_id, id);

ALTER TABLE recibe ADD (
	CONSTRAINT FK_recibe_universidad
	FOREIGN KEY (universidad_id)
	REFERENCES universidad (id),
	CONSTRAINT FK_recibe_oferta
	FOREIGN KEY (oferta_id)
	REFERENCES oferta (id)
);

ALTER TABLE candidatura ADD (
	CONSTRAINT FK_candidatura_estudiante
	FOREIGN KEY (universidad_id, estudiante_id)
	REFERENCES estudiante (universidad_id, id),
	CONSTRAINT FK_candidatura_oferta
	FOREIGN KEY (oferta_id)
	REFERENCES oferta (id)
);

ALTER TABLE entrevista ADD (
	CONSTRAINT FK_entrevista_estudiante
	FOREIGN KEY (universidad_id, estudiante_id)
	REFERENCES estudiante (universidad_id, id),
	CONSTRAINT FK_entrevista_candidatura
	FOREIGN KEY (universidad_id, estudiante_id, oferta_id)
	REFERENCES candidatura (universidad_id, estudiante_id, oferta_id),
	CONSTRAINT FK_entrevista_solicitante
	FOREIGN KEY (empresa_id, solicitante_id)
	REFERENCES solicitante (empresa_id, id)
);

ALTER TABLE colaboracion ADD (
	CONSTRAINT FK_colaboracion_empresa
	FOREIGN KEY (empresa_id)
	REFERENCES empresa (id),
	CONSTRAINT FK_colaboracion_estudiante
	FOREIGN KEY (universidad_id, estudiante_id)
	REFERENCES estudiante (universidad_id, id),
	CONSTRAINT FK_colaboracion_candidatura
	FOREIGN KEY (universidad_id, estudiante_id, oferta_id)
	REFERENCES candidatura (universidad_id, estudiante_id, oferta_id)
);

ALTER TABLE informe ADD (
	CONSTRAINT FK_informe_colaboracion
	FOREIGN KEY (empresa_id, universidad_id, estudiante_id, oferta_id)
	REFERENCES colaboracion (empresa_id, universidad_id, estudiante_id, oferta_id),
	CONSTRAINT FK_informe_solicitante
	FOREIGN KEY (empresa_id, solicitante_id)
	REFERENCES solicitante (empresa_id, id),
	CONSTRAINT FK_informe_estudiante
	FOREIGN KEY (universidad_id, estudiante_id)
	REFERENCES estudiante (universidad_id, id)
);

ALTER TABLE informe_final
ADD CONSTRAINT FK_final_informe
FOREIGN KEY (empresa_id, universidad_id, estudiante_id, oferta_id, solicitante_id, fecha)
REFERENCES informe (empresa_id, universidad_id, estudiante_id, oferta_id, solicitante_id, fecha);
