CREATE OR REPLACE PACKAGE pq_log AS

    PROCEDURE guardaLog (
        operacion logs.operacion%type,
        parametros logs.parametros%type,
        resultado logs.resultado%type
    );

    PROCEDURE guardaLogDw (
        operacion logs_dw.operacion%type,
        parametros logs_dw.parametros%type,
        resultado logs_dw.resultado%type
    );

END pq_log;
/

CREATE OR REPLACE PACKAGE BODY pq_log AS

    PROCEDURE guardaLog (
        operacion logs.operacion%type,
        parametros logs.parametros%type,
        resultado logs.resultado%type
    ) IS
    BEGIN
        INSERT INTO logs
        (fecha, usuario, operacion, parametros, resultado)
        VALUES
        (sysdate, user, operacion, parametros, resultado);
    END guardaLog;

    PROCEDURE guardaLogDw (
        operacion logs_dw.operacion%type,
        parametros logs_dw.parametros%type,
        resultado logs_dw.resultado%type
    ) IS
    BEGIN
        INSERT INTO logs_dw
        (fecha, usuario, operacion, parametros, resultado)
        VALUES
        (sysdate, user, operacion, parametros, resultado);
    END guardaLogDw;

END pq_log;